#include "networkinterface.h"
#include <QNetworkInterface>

NetworkInterface::NetworkInterface(int interfaceIndex, QObject *parent)
    : QObject{parent}
{
    QNetworkInterface qni{QNetworkInterface::interfaceFromIndex(interfaceIndex)};
    setName(qni.name());
}

QString NetworkInterface::name() const
{
    return m_name;
}

void NetworkInterface::setName(const QString &newName)
{
    if (m_name == newName)
        return;
    m_name = newName;
    emit nameChanged();
}
